curl --request PATCH \
--url https://api.byblend.com/api/v1/prescribers/{prescriber_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "Willard",
"middle_name": "Moises",
"last_name": "Donnelly",
"email": "Harmon43@gmail.com",
"phone": "6417383445",
"date_of_birth": "1990-01-01",
"gender": "Male",
"npi": "1234567890",
"dea": "F91234563",
"spi": "1234567890ABCDEF",
"driver_license_number": "B49188319",
"driver_license_state": "CA",
"is_active": true,
"credential_npi": "M.D./Ph.D",
"addresses": [
{
"address_1": "140 Lindgren Streets",
"city": "North Consueloburgh",
"state": "CA",
"zip_code": "02108",
"type": "practice",
"address_2": "Apt 227",
"country": "US"
}
],
"credentials": [
{
"credential_code": "MD"
}
],
"restrictions": [
{
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708"
}
]
}
'import requests
url = "https://api.byblend.com/api/v1/prescribers/{prescriber_id}"
payload = {
"first_name": "Willard",
"middle_name": "Moises",
"last_name": "Donnelly",
"email": "Harmon43@gmail.com",
"phone": "6417383445",
"date_of_birth": "1990-01-01",
"gender": "Male",
"npi": "1234567890",
"dea": "F91234563",
"spi": "1234567890ABCDEF",
"driver_license_number": "B49188319",
"driver_license_state": "CA",
"is_active": True,
"credential_npi": "M.D./Ph.D",
"addresses": [
{
"address_1": "140 Lindgren Streets",
"city": "North Consueloburgh",
"state": "CA",
"zip_code": "02108",
"type": "practice",
"address_2": "Apt 227",
"country": "US"
}
],
"credentials": [{ "credential_code": "MD" }],
"restrictions": [{ "id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'Willard',
middle_name: 'Moises',
last_name: 'Donnelly',
email: 'Harmon43@gmail.com',
phone: '6417383445',
date_of_birth: '1990-01-01',
gender: 'Male',
npi: '1234567890',
dea: 'F91234563',
spi: '1234567890ABCDEF',
driver_license_number: 'B49188319',
driver_license_state: 'CA',
is_active: true,
credential_npi: 'M.D./Ph.D',
addresses: [
{
address_1: '140 Lindgren Streets',
city: 'North Consueloburgh',
state: 'CA',
zip_code: '02108',
type: 'practice',
address_2: 'Apt 227',
country: 'US'
}
],
credentials: [{credential_code: 'MD'}],
restrictions: [{id: '0227d1e5-ba9a-42b5-8fe2-38882aa65708'}]
})
};
fetch('https://api.byblend.com/api/v1/prescribers/{prescriber_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"created_at": "2025-03-15T12:00:00Z",
"updated_at": "2025-03-15T12:00:00Z",
"first_name": "Willard",
"middle_name": "Moises",
"last_name": "Donnelly",
"email": "Harmon43@gmail.com",
"phone": "6417383445",
"date_of_birth": "1990-01-01",
"gender": "Male",
"npi": "1234567890",
"dea": "F91234563",
"spi": "1234567890ABCDEF",
"driver_license_number": "B49188319",
"driver_license_state": "CA",
"is_active": true,
"credential_npi": "M.D./Ph.D",
"addresses": [
{
"address_1": "140 Lindgren Streets",
"city": "North Consueloburgh",
"state": "CA",
"zip_code": "02108",
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"created_at": "2025-03-15T12:00:00Z",
"updated_at": "2025-03-15T12:00:00Z",
"address_2": "Apt 227",
"country": "US",
"type": "practice"
}
],
"qualifications": [
{
"state": "CA",
"license_number": "1234567890",
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"created_at": "2025-03-15T12:00:00Z",
"updated_at": "2025-03-15T12:00:00Z",
"description": "Nurse Practitioner, Family",
"expiration_date": "2025-03-15",
"is_active": true
}
],
"credentials": [
{
"credential_code": "MD",
"credential_name": "Doctor of Medicine"
}
],
"restrictions": [
{
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"name": "Mupirocin",
"sku": "1234567890"
}
]
}Update a prescriber's details
Partial update — send only the fields to change. PUT is also accepted with identical merge semantics for backward compatibility.
To update licenses or qualifications, use the dedicated endpoints.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique (UUID) identifier, or 10-digit NPI, for the prescriber
Body
"Willard"
"Moises"
"Donnelly"
"Harmon43@gmail.com"
10-digit phone number without formatting, e.g. 6417383445
"6417383445"
"1990-01-01"
Gender of the prescriber
"Male"
National Provider Identifier
"1234567890"
DEA Registration Number
"F91234563"
Surescripts Provider ID
"1234567890ABCDEF"
Driver's license number
"B49188319"
Two-letter state abbreviation
"CA"
Whether the prescriber is currently active
true
Direct credential text as provided by the NPI registry
"M.D./Ph.D"
Show child attributes
Show child attributes
Array of credentials, with each credential_code representing the prescriber's credentials
Show child attributes
Show child attributes
Array of prescription product IDs that are restricted from being prescribed by the prescriber
Show child attributes
Show child attributes
Response
Prescriber updated successfully
Unique identifier
"0227d1e5-ba9a-42b5-8fe2-38882aa65708"
Date and time of creation
"2025-03-15T12:00:00Z"
Date and time of last update
"2025-03-15T12:00:00Z"
"Willard"
"Moises"
"Donnelly"
"Harmon43@gmail.com"
10-digit phone number without formatting, e.g. 6417383445
"6417383445"
"1990-01-01"
Gender of the prescriber
"Male"
National Provider Identifier
"1234567890"
DEA Registration Number
"F91234563"
Surescripts Provider ID
"1234567890ABCDEF"
Driver's license number
"B49188319"
Two-letter state abbreviation
"CA"
Whether the prescriber is currently active
true
Direct credential text as provided by the NPI registry
"M.D./Ph.D"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes